diff --git a/src/gui/res/lang/gui_ko.ts b/src/gui/res/lang/gui_ko.ts
index fb70f95b..5e5682e8 100644
--- a/src/gui/res/lang/gui_ko.ts
+++ b/src/gui/res/lang/gui_ko.ts
@@ -26,15 +26,7 @@ Synergy is based on CosmoSynergy by Richard Lee and Adam Feder.&lt;br /&gt;
 The Synergy GUI is based on QSynergy by Volker Lanz.&lt;br /&gt;&lt;br /&gt;
 Visit our website for help and info (synergy-project.org).
 &lt;/p&gt;</oldsource>
-        <translation type="finished">&lt;p&gt;
-하나의 키보드와 마우스를 공유하여 여러 컴퓨터를 제어할 수 있는 응용 프로그램으로, 다양한 플랫폼을 지원하며 오픈 소스 입니다.&lt;br /&gt;&lt;br /&gt;
-저작권 © 2012 볼튼 소프트웨어 (주) &lt;br /&gt;
-저작권 © 2002-2012 Chris Schoeneman, Nick Bolton, Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Synergy는 GNU 일반 공중 사용 허가서 (GPLv2) 아래에 배포하고 있습니다.&lt;br /&gt;&lt;br /&gt;
-Synergy는 Richard Lee과 Adam Feder에 의해 개발된 CosmoSynergy에 기반을 두고 있습니다.&lt;br /&gt;
-Synergy GUI는 Volker Lanz의 QSynergy에 기반을 두고 있습니다.&lt;br /&gt;&lt;br /&gt;
-도움말 및 정보를 보시려면 저희 웹 사이트(synergy-project.org)를 방문하세요.
-&lt;/p&gt;</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="res/AboutDialogBase.ui" line="140"/>
@@ -150,6 +142,24 @@ Synergy GUI는 Volker Lanz의 QSynergy에 기반을 두고 있습니다.&lt;br /
         <translation type="finished">단축키가 놓아졌습니다.</translation>
     </message>
 </context>
+<context>
+    <name>AddClientDialog</name>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="20"/>
+        <source>Dialog</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="35"/>
+        <source>TextLabel</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="83"/>
+        <source>Ignore auto connect clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>HotkeyDialogBase</name>
     <message>
@@ -166,170 +176,215 @@ Synergy GUI는 Volker Lanz의 QSynergy에 기반을 두고 있습니다.&lt;br /
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="642"/>
+        <location filename="src/MainWindow.cpp" line="790"/>
         <source>&amp;Start</source>
         <translation type="finished">시작(&amp;S)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="196"/>
+        <location filename="src/MainWindow.cpp" line="237"/>
         <source>&amp;File</source>
         <translation type="finished">파일(&amp;F)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="197"/>
+        <location filename="src/MainWindow.cpp" line="238"/>
         <source>&amp;Edit</source>
         <translation type="finished">편집(&amp;E)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="198"/>
+        <location filename="src/MainWindow.cpp" line="239"/>
         <source>&amp;Window</source>
         <translation type="finished">창(&amp;W)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="199"/>
+        <location filename="src/MainWindow.cpp" line="240"/>
         <source>&amp;Help</source>
         <translation type="finished">도움말(&amp;H)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="326"/>
-        <source>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</source>
-        <translation type="finished">&lt;p&gt;%1버전이 사용 가능합니다.&lt;a href=&quot;%2&quot;&gt;홈페이지 가기&lt;/a&gt;.&lt;/p&gt;</translation>
+        <location filename="src/MainWindow.cpp" line="364"/>
+        <source>&lt;p&gt;Your version of Synergy is out of date. Version &lt;b&gt;%1&lt;/b&gt; is now available to &lt;a href=&quot;%2&quot;&gt;download&lt;/a&gt;.&lt;/p&gt;</source>
+        <oldsource>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</oldsource>
+        <translation type="finished">&lt;p&gt;사용 중인 시너지는 최신 버전이 아닙니다. 새 버전(&lt;b&gt;%1&lt;/b&gt;)을 &lt;a href=&quot;%2&quot;&gt;다운로드&lt;/a&gt; 받을 수 있습니다.&lt;/p&gt;</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>Program can not be started</source>
         <translation type="finished">프로그램을 시작할 수 없습니다</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>The executable&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;could not be successfully started, although it does exist. Please check if you have sufficient permissions to run this program.</source>
         <translation type="finished">실행파일&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;이(가) 존재하지만 성공적으로 실행되지 못했습니다. 이 프로그램을 실행시키기 위한 충분한 권한을 가지고 있는지 확인해주세요.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="477"/>
+        <location filename="src/MainWindow.cpp" line="596"/>
         <source>Synergy client not found</source>
         <translation type="finished">Synergy 클라이언트를 찾을 수 없습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="478"/>
+        <location filename="src/MainWindow.cpp" line="597"/>
         <source>The executable for the synergy client does not exist.</source>
         <translation type="finished">Synergy 클라이언트 실행 파일이 존재하지 않습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="485"/>
+        <location filename="src/MainWindow.cpp" line="625"/>
         <source>Hostname is empty</source>
         <translation type="finished">호스트명이 비어있습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="486"/>
+        <location filename="src/MainWindow.cpp" line="626"/>
         <source>Please fill in a hostname for the synergy client to connect to.</source>
         <translation type="finished">클라이언트가 접속할 호스트명을 입력해주세요.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>Cannot write configuration file</source>
         <translation type="finished">설정파일을 쓸 수 없습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>The temporary configuration file required to start synergy can not be written.</source>
         <translation type="finished">Synergy를 구동하기 위해 필요한 임시 설정 파일을 작성할 수 없습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="524"/>
+        <location filename="src/MainWindow.cpp" line="659"/>
         <source>Configuration filename invalid</source>
         <translation type="finished">설정 파일 이름이 올바르지 않습니다</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="525"/>
+        <location filename="src/MainWindow.cpp" line="660"/>
         <source>You have not filled in a valid configuration file for the synergy server. Do you want to browse for the configuration file now?</source>
         <translation type="finished">Synergy 서버를 실행하기 위한 설정 파일이 제대로 작성되어 있지 않습니다. 지금 설정 파일을 찾아 보시겠습니까?</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="552"/>
+        <location filename="src/MainWindow.cpp" line="688"/>
         <source>Synergy server not found</source>
         <translation type="finished">Synergy 서버를 찾을 수 없습니다</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="553"/>
+        <location filename="src/MainWindow.cpp" line="689"/>
         <source>The executable for the synergy server does not exist.</source>
         <translation type="finished">Synergy 서버 실행 파일이 존재하지 않습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated with an error</source>
         <translation type="finished">Synergy가 오류로 인해 종료되었습니다</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated unexpectedly with an exit code of %1.&lt;br&gt;&lt;br&gt;Please see the log output for details.</source>
         <translation type="finished">Synergy가 %1의 코드로 비 정상적으로 종료되었습니다.&lt;br&gt;&lt;br&gt;자세한 사항은 로그 출력결과를 확인하세요</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="636"/>
+        <location filename="src/MainWindow.cpp" line="783"/>
         <source>&amp;Stop</source>
         <translation type="finished">중지(&amp;S)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>service mode</source>
-        <translation type="finished">서비스 모드</translation>
+        <location filename="src/MainWindow.cpp" line="1038"/>
+        <source>Please add the server (%1) to the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>desktop mode</source>
-        <translation type="finished">데스크탑 모드</translation>
+        <location filename="src/MainWindow.cpp" line="1044"/>
+        <source>Please drag the new client screen (%1) to the desired position on the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="660"/>
-        <source>Synergy is running (%1).</source>
-        <translation type="finished">Synergy가 실행 중 입니다 (%1).</translation>
+        <location filename="src/MainWindow.cpp" line="1147"/>
+        <source>Failed to detect system architecture.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="821"/>
-        <source>Elevate Synergy</source>
-        <translation type="finished">Synergy 승급</translation>
+        <location filename="src/MainWindow.cpp" line="1165"/>
+        <source>Cancel</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="822"/>
-        <source>Are you sure you want to elevate Synergy?
+        <location filename="src/MainWindow.cpp" line="1189"/>
+        <source>Failed to download Bonjour installer to location: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1226"/>
+        <source>Do you want to enable auto config and install Bonjour?
 
-This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
-        <translation type="finished">Synergy의 권한을 승급 하시겠습니까?
-이것을 허용하게 되면 Synergy와 승급된 프로세스, UAC 대화상자와 상호작용 할 수 있지만, 승급되지 않은 프로세스들과 문제가 생길 수 있습니다. Synergy 권한 승급은 반드시 필요한 경우에만 사용하세요.</translation>
+This feature helps you establish the connection.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="664"/>
+        <location filename="src/MainWindow.cpp" line="1270"/>
+        <source>Auto config feature requires Bonjour.
+
+Do you want to install Bonjour?</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="815"/>
         <source>Synergy is starting.</source>
         <translation type="finished">Synergy가 실행 중 입니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="667"/>
+        <location filename="src/MainWindow.cpp" line="809"/>
+        <source>Synergy is running.</source>
+        <translation type="finished">Synergy가 실행 중 입니다.</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="819"/>
         <source>Synergy is not running.</source>
         <translation type="finished">Synergy가 실행 중이지 않습니다.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="724"/>
+        <location filename="src/MainWindow.cpp" line="870"/>
         <source>Unknown</source>
         <translation type="finished">알수없음</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="762"/>
+        <location filename="src/MainWindow.cpp" line="1146"/>
+        <location filename="src/MainWindow.cpp" line="1225"/>
+        <location filename="src/MainWindow.cpp" line="1269"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="987"/>
         <source>Browse for a synergys config file</source>
         <translation type="finished">synergys 설정 파일 탐색</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="775"/>
+        <location filename="src/MainWindow.cpp" line="408"/>
+        <source>Synergy is now connected, You can close the config window. Synergy will remain connected in the background.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="434"/>
+        <source>Security question</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="435"/>
+        <source>Do you trust this fingerprint?
+
+%1
+
+This is a server fingerprint. You should compare this fingerprint to the one on your server's screen. If the two don't match exactly, then it's probably not the server you're expecting (it could be a malicious user).
+
+To automatically trust this fingerprint for future connections, click Yes. To reject this fingerprint and disconnect from the server, click No.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1000"/>
         <source>Save configuration as...</source>
         <translation type="finished">설정을 다른 이름으로 저장...</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Save failed</source>
         <translation type="finished">저장에 실패했습니다</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Could not save configuration to file.</source>
         <translation type="finished">설정 사항을 파일에 저장할 수 없습니다.</translation>
     </message>
@@ -342,158 +397,163 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="finished">Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
         <translation type="finished">화면 이름:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
         <translation type="finished">서버 IP:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
         <translation type="finished">시작(&amp;S)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="finished">서버(&amp;S) (이 컴퓨터의 마우스와 키보드를 공유):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
         <translation type="finished">기존 설정을 사용:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
         <translation type="finished">설정 파일(&amp;C):</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
         <translation type="finished">찾아 보기(&amp;B)...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
         <translation type="finished">상호작용 설정:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
         <translation type="finished">서버 설정(&amp;C)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="finished">클라이언트(&amp;C) (다른 컴퓨터의 키보드와 마우스를 사용):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
         <translation type="finished">준비</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
+        <location filename="res/MainWindowBase.ui" line="296"/>
         <source>Log</source>
         <translation type="finished">로그</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
+        <location filename="res/MainWindowBase.ui" line="373"/>
         <source>&amp;Apply</source>
         <translation type="finished">적용(&amp;A)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="finished">올리기</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
+        <location filename="res/MainWindowBase.ui" line="107"/>
         <source>IP addresses:</source>
         <translation type="finished">IP 주소:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="296"/>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
         <source>&amp;About Synergy...</source>
         <translation type="finished">Synergy에 관하여(&amp;A)...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
+        <location filename="res/MainWindowBase.ui" line="398"/>
         <source>&amp;Quit</source>
         <translation type="finished">종료(&amp;Q)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
+        <location filename="res/MainWindowBase.ui" line="401"/>
         <source>Quit</source>
         <translation type="finished">종료</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
+        <location filename="res/MainWindowBase.ui" line="412"/>
         <source>Run</source>
         <translation type="finished">실행</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
+        <location filename="res/MainWindowBase.ui" line="423"/>
         <source>S&amp;top</source>
         <translation type="finished">중지(&amp;T)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
+        <location filename="res/MainWindowBase.ui" line="426"/>
         <source>Stop</source>
         <translation type="finished">중지</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
+        <location filename="res/MainWindowBase.ui" line="434"/>
         <source>S&amp;how Status</source>
         <translation type="finished">상태 보기(&amp;H)</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
+        <location filename="res/MainWindowBase.ui" line="442"/>
         <source>&amp;Hide</source>
         <translation type="finished">숨기기</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
+        <location filename="res/MainWindowBase.ui" line="445"/>
         <source>Hide</source>
         <translation type="finished">숨기기</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
+        <location filename="res/MainWindowBase.ui" line="453"/>
         <source>&amp;Show</source>
         <translation type="finished">보이기</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
+        <location filename="res/MainWindowBase.ui" line="456"/>
         <source>Show</source>
         <translation type="finished">보이기</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
+        <location filename="res/MainWindowBase.ui" line="464"/>
         <source>Save configuration &amp;as...</source>
         <translation type="finished">설정을 다른 이름으로 저장(&amp;A)...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="373"/>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
         <translation type="finished">상호작용으로 생성된 서버 설정을 파일로 저장하기.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
         <translation type="finished">설정</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
         <translation type="finished">설정 편집</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
         <translation type="finished">마법사 실행</translation>
     </message>
@@ -506,20 +566,98 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="finished">이름없음</translation>
     </message>
 </context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">시너지 설정</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
         <translation type="finished">Synergy 설정파일 (*.sgc);;모든 파일 (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
         <translation type="finished">Synergy 설정파일 (*.conf);;모든 파일 (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
         <translation type="finished">시스템 트레이를 사용할 수 없어 종료합니다.</translation>
     </message>
@@ -527,14 +665,24 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
         <translation type="finished">스크린 이름이 비었습니다</translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
-        <translation type="finished">스크린 이름이 비었습니다. 이름을 입력하거나 입력창을 취소하세요.</translation>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="finished">스크린 명은 비워둘 수 없습니다. 이름을 입력하거나 대화창을 취소하세요.</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="finished">별명과 일치하는 화면 이름</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
+        <translation type="finished">화면 이름은 별명과 동일할 수 없습니다. 별명을 제거하거나 화면 이름을 바꿔주세요.</translation>
     </message>
 </context>
 <context>
